package com.example.ueberwachungssystem;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.ToggleButton;

import com.example.ueberwachungssystem.Detection.Accelerometer;
import com.example.ueberwachungssystem.Detection.DetectionReport;
import com.example.ueberwachungssystem.Detection.Detector;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    private Accelerometer beschleunigungssensor;
    private TextView textViewLog;
    private Button button1;
    ToggleButton toggleButton1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setTitle(this.getClass().getSimpleName());
        setContentView(R.layout.activity_main);


        toggleButton1 = findViewById(R.id.toggleButton1); //togglebutton um Detektion zu steuern
        toggleButton1.setOnClickListener(this);

        //Button to clear Log while Debugging
        button1 = (Button) findViewById(R.id.button1);
        button1.setOnClickListener(this);

        //Accelerometer Setup
        beschleunigungssensor = new Accelerometer(this);   //logger and textview only for debugging necessary
        beschleunigungssensor.getSensor();
        beschleunigungssensor.setOnDetectionListener(new Detector.OnDetectionListener() {
            @Override
            public void onDetection(@NonNull DetectionReport detectionReport) {

            }
        });

    }

    @Override
    protected void onResume() {
        super.onResume();
    }
    @Override
    protected void onPause() {
        super.onPause();
        beschleunigungssensor.stopDetection();
    }

    @Override
    public void onClick(View v) {
        if(v == toggleButton1) {
            if (toggleButton1.isChecked()) {
                beschleunigungssensor.startDetection();

            } else {
                beschleunigungssensor.stopDetection();
            }
        } else if (v == button1) {
        }
    }
}